<script setup>
const props = defineProps({
  current: Number,
  labels: Array
})

function submit(event) {
  event.preventDefault()
  console.debug('form was submitted', event.target)
}
</script>

<template>
  <Stepper :current="current" :labels="labels" :last="labels.length"></Stepper>
  <form @submit="submit">
    <slot :name="`step${current}`"></slot>
    <ul class="fr-btns-group fr-mt-2w">
      <li v-show="current != 1">
        <button class="fr-btn fr-btn--secondary" type="button" @click="--current">
          Revenir
        </button>
      </li>
      <li v-show="current != labels.length">
        <button class="fr-btn" type="button" @click="++current">
          Continuer
        </button>
      </li>
      <li v-show="current == labels.length">
        <button class="fr-btn" type="submit">
          Valider
        </button>
      </li>
    </ul>
  </form>
</template>

<style scoped>
ul {
  width: 95%;
  background-color: var(--background-default-grey);
  position: fixed;
  bottom: 0;
}
</style>
